Sponsored Content
Top Forums Shell Programming and Scripting Check log file size every 10 minute. Alert if log not update Post 302763669 by mstafreshi on Wednesday 30th of January 2013 10:02:24 AM
Old 01-30-2013
this is a simple script . can it help find your way ?
Code:
os=ofs #old size
logFile=logFile

# test log file exists !
test -r $logFile || { echo "can't open $logFile"; 1>&2; exit 1; }

# get current log file size !
cfs=`ls -l $logFile | awk '{print $5}'`

# test to see file that keeps old size exists !
test -r $os || { echo 'not changed' 1>&2; echo $cfs>$os; exit 1; }

# old file size is empty !
if test `ls -l $os | awk '{print $5}'` -eq 0
then
        echo 'not changed' 1>&2;
        exit 1;
fi

oldsize=`sed -n '1,1p' $os`

if test $oldsize -eq $cfs
then
        echo 'not changed' 1>&2
else
        echo 'changed' 1>&2
fi

echo $cfs >$os

certainly above code with its structure can be write better and more efficient . i wrote it very quickly with my limited skill .
 

10 More Discussions You Might Find Interesting

1. HP-UX

Check size and rotate log script.

Hi Can you suggest some perl script. My OS is HP-UX 11.11 I want to it into a cron job. Every night it will backup the file with that day's date and open a dummy file. Thanks Ash (3 Replies)
Discussion started by: ashishT
3 Replies

2. Linux

Limit size of log file from syslog

Hi, I'm using Linux 2.6 cross compiled for a embedded powerpc. Earlier we were using busybox syslogd for logging the messages, but as the flexibilty is less, we decided to move to standard syslog. Now I want to limit the size of the log file (/var/log/messages) to 128K. I couldn't find... (4 Replies)
Discussion started by: jockey007
4 Replies

3. Shell Programming and Scripting

fetchmail - log file size limitation

Hi, I am using fetchmail in my application so as to download mails to the localhost where the application is hosted from the mailserver.Fetchmail is configured as as to run as a daemon polling mails during an interval of 1sec. So my concern here is, during each 2sec it is writing two... (10 Replies)
Discussion started by: DILEEP410
10 Replies

4. Shell Programming and Scripting

Check File Size For Log Rotation

Hi Can anyone assist me, I am trying to compate the size of a logfile to a maximum size 1000 and delete if exceeds the limit. The problem I am getting is the command not found for the line if ( $LOGNAME_SIZE >= $MAXSIZE); then Appreciate your response. Script: LOGDIR="/home/... (6 Replies)
Discussion started by: sureshcisco
6 Replies

5. Shell Programming and Scripting

Log file size

I am very new tothe shellscripting. I wrote a script as follows. NOW=$(date +"%b-%d-%y") LOGFILE="log-$NOW.log" sqlplus -s username/password @select.sql <<EOF >>$LOGFILE exit EOF the out put of the script file is around 20 columns.But it is not displaying in single line. Some part ofthe... (2 Replies)
Discussion started by: ronythomas
2 Replies

6. Shell Programming and Scripting

Help writing a script check log not update.

:wall:Dear All.:p How to check log size every 10min. by script (not crontab) if log size not change with alert "Log not update" My Path :: /usr/home/logical/mono/log/tplink/ My Log :: mono11_tplink.log , mono12_tplink.log , etc I want oup put. EX. if log not update. . . . Fri Jan ... (1 Reply)
Discussion started by: ooilinlove
1 Replies

7. Shell Programming and Scripting

Alert log not update every time.

My Script . This check log file size every 1 minute. #! /bin/bash logFiles="log1.log log2.log" logLocation="/usr/home/test/log/" sleepTime=60 failMessage=":: Log not running :: Pls Check Service" successMessage="OK" arr=($logFiles) arrlen=${#arr} arrcount=() date for... (0 Replies)
Discussion started by: ooilinlove
0 Replies

8. Shell Programming and Scripting

help with script Alert log not update every time.

:p Hello :) This is my script . This check log file size every 1 minute. Credit code https://www.unix.com/shell-programming-scripting/151723-help-writing-script-check-log-not-update.html #! /bin/bash logFiles="log1.log log2.log" logLocation="/usr/home/test/log/" sleepTime=60 ... (8 Replies)
Discussion started by: ooilinlove
8 Replies

9. Shell Programming and Scripting

Count of matched pattern occurences by minute and date in a log file

Anyone knows how to use AWK to achieve the following Sun Feb 12 00:41:01-00:41:59 Success:2 Fail:2 Sun Feb 12 00:42:01-00:42:59 Success:1 Fail:2 Sun Feb 12 01:20:01-01:20:59 Success:1 Fail:2 Mon Feb 13 22:41:01-22:41:59 Success:1 Fail:1 log file: Success Success Fail Fail ... (9 Replies)
Discussion started by: timmywong
9 Replies

10. Shell Programming and Scripting

Take minute per minute from a log awk

Hi, I've been trying to develop a script that performs the parsing of a log every 1 minute and then generating some statistics. I'm fairly new to programming and this is why I come to ask if I can lend a hand. this is my log: xxxx 16/04/2012 17:00:52 - xxxx714 - E234 - Time= 119 ms.... (8 Replies)
Discussion started by: jockx
8 Replies
CFS(4)							     Kernel Interfaces Manual							    CFS(4)

NAME
cfs - cache file system SYNOPSIS
cfs -s [-rd] [-f partition] cfs -a netaddr [-rd] [-f partition] [mtpt] DESCRIPTION
Cfs is a user-level file server that caches information about remote files onto a local disk. It is normally started by the kernel at boot time, though users may start it manually. Cfs is interposed between the kernel and a network connection to a remote file server to improve the efficiency of access across slow network connections such as modem lines. On each open of a file cfs checks the consistency of cached information and discards any old information for that file. Cfs mounts onto mtpt (default /) after connecting to the file server. The options are: s the connection to the remote file server is on file descriptors 0 and 1. a netaddr dial the destination netaddr to connect to a remote file server. r reformat the cache disk partition. d turn on debugging f partition use file partition as the cache disk partition. All 9P messages except read, clone, and walk (see intro(5)) are passed through cfs unchanged to the remote server. A clone followed imme- diately by a walk is converted into a clwalk. If possible, a read is satisfied by cached data. Otherwise, the file server is queried for any missing data. FILES
/dev/hd0cache Default file used for storing cached data. SOURCE
/sys/src/cmd/cfs CFS(4)
All times are GMT -4. The time now is 01:34 AM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy